package com.yaohun.levelreward.manage;

import com.yaohun.levelreward.data.PlayerData;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

import java.util.HashMap;

public class PlayerManager {

    private final HashMap<String, PlayerData> playerDataMap = new HashMap<>();

    public PlayerManager() {
        for (Player player : Bukkit.getOnlinePlayers()) {
            String playerName = player.getName();
            playerDataMap.put(playerName,new PlayerData(playerName));
        }
    }

    public void saveAllPlayerData() {
        for (PlayerData playerData : playerDataMap.values()) {
            playerData.savePlayerData();
        }
    }

    public PlayerData getPlayerData(String playerName) {
        if (!playerDataMap.containsKey(playerName)) {
            playerDataMap.put(playerName,new PlayerData(playerName));
        }
        return playerDataMap.get(playerName);
    }
}
